com.amazonaws.codegen.model.config.customization

## Class MetadataConfig

- java.lang.Object
- - com.amazonaws.codegen.model.config.customization.MetadataConfig

    public class MetadataConfig
    extends Object

Contains custom properties to override in service and intermediate model metadata.

### Constructor Summary

Constructors
Constructor and Description
`MetadataConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getContentType()`
`String` `getProtocol()`
`void` `setContentType(String contentType)`
`void` `setProtocol(String protocol)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetadataConfig

    public MetadataConfig()

### Method Detail

#### getProtocol

    public String getProtocol()

#### setProtocol

    public void setProtocol(String protocol)

#### getContentType

    public String getContentType()

#### setContentType

    public void setContentType(String contentType)